| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
CCAN_CALLBACKS_T Struct Reference
CHIP: LPC11xx CCAN ROM Driver

## Detailed Description

Definition at line 137 of file ccand_11xx.h.

`#include "ccand_11xx.h"`

## Data Fields
void(* | CAN_rx )(uint8_t msg_obj_num)
void(* | CAN_tx )(uint8_t msg_obj_num)
void(* | CAN_error )(uint32_t error_info)
uint32_t(* | CANOPEN_sdo_read )(uint16_t index, uint8_t subindex)
uint32_t(* | CANOPEN_sdo_write )(uint16_t index, uint8_t subindex, uint8_t *dat_ptr)
uint32_t(* | CANOPEN_sdo_seg_read )(uint16_t index, uint8_t subindex, uint8_t openclose, uint8_t *length, uint8_t *data, uint8_t *last)
uint32_t(* | CANOPEN_sdo_seg_write )(uint16_t index, uint8_t subindex, uint8_t openclose, uint8_t length, uint8_t *data, uint8_t *fast_resp)
uint8_t(* | CANOPEN_sdo_req )(uint8_t length_req, uint8_t *req_ptr, uint8_t *length_resp, uint8_t *resp_ptr)

## Field Documentation

void(* CAN_error)(uint32_t error_info)

Definition at line 140 of file ccand_11xx.h.

void(* CAN_rx)(uint8_t msg_obj_num)

Definition at line 138 of file ccand_11xx.h.

void(* CAN_tx)(uint8_t msg_obj_num)

Definition at line 139 of file ccand_11xx.h.

uint32_t(* CANOPEN_sdo_read)(uint16_t index, uint8_t subindex)

Definition at line 141 of file ccand_11xx.h.

uint8_t(* CANOPEN_sdo_req)(uint8_t length_req, uint8_t *req_ptr, uint8_t *length_resp, uint8_t *resp_ptr)

Definition at line 147 of file ccand_11xx.h.

uint32_t(* CANOPEN_sdo_seg_read)(uint16_t index, uint8_t subindex, uint8_t openclose, uint8_t *length, uint8_t *data, uint8_t *last)

Definition at line 143 of file ccand_11xx.h.

uint32_t(* CANOPEN_sdo_seg_write)(uint16_t index, uint8_t subindex, uint8_t openclose, uint8_t length, uint8_t *data, uint8_t *fast_resp)

Definition at line 145 of file ccand_11xx.h.

uint32_t(* CANOPEN_sdo_write)(uint16_t index, uint8_t subindex, uint8_t *dat_ptr)

Definition at line 142 of file ccand_11xx.h.

The documentation for this struct was generated from the following file:

- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/lpc_core/lpc_chip/chip_11xx/ccand_11xx.h